Subject: Re: bug#54685: 28.0.92; incorrect font on new frame after menu-set-font (Win32)
From: Eli Zaretskii <[email-masked]>
To: Corwin Brust <[email-masked]>
Cc: [email-masked]
Date: Sun, 03 Apr 2022 19:34:15 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Corwin Brust <[email-masked]>
> Date: Sun, 3 Apr 2022 11:23:25 -0500
> Cc: [email-masked]
> 
> > If so, then this is expected.  The APIs we use on MS-Windows to
> > enumerate fonts in a font family consider only 4 font varieties to
> > belong to the same family: Regular, Italic, Bold, and Bold-Italic.
> > All the other varieties aren't returned by those APIs when we request
> > to list all the fonts in a family.  (I don't know if this is just the
> > deficiency of the APIs we use, or a general issue with how fonts are
> > managed on Windows.)  So any font variety that is not one of those 4
> > will cause trouble sooner or later.  (Medium is special, because we
> > have an extra-special kludge to allow Medium when Regular is being
> > sought.)
> >
> > So I think what you see is expected: on Windows one cannot select a
> > Light (or Thin, or UltraLight, or SemiBold, or ...) font for the
> > default face and hope that it will work as expected.
> 
> In which case I think this bug report can be closed.  Thank you.

Done.  I will at some time add a PROBLEMS entry about this.